include $(top_srcdir)/glib-tap.mk

installed_testdir = $(libexecdir)/installed-tests/rhosydd-@RSD_API_VERSION@/daemon
installed_test_metadir = $(datadir)/installed-tests/rhosydd-@RSD_API_VERSION@/daemon

# Flags for all test binaries
AM_CPPFLAGS = \
	-I$(top_srcdir) \
	-I$(top_builddir) \
	-DTEST_FILE_DIR="\"$(top_srcdir)/daemon/tests/\"" \
	-DG_LOG_DOMAIN=\"libdaemon-tests\" \
	-DLIBRHOSYDD_DISABLE_DEPRECATED \
	$(NULL)
AM_CFLAGS = \
	$(WARN_CFLAGS) \
	$(DAEMON_TESTS_CFLAGS) \
	$(NULL)
AM_LDFLAGS = \
	$(WARN_LDFLAGS) \
	$(NULL)
LDADD = \
	$(top_builddir)/daemon/libdaemon.la \
	$(top_builddir)/libcroesor/libcroesor-@CSR_API_VERSION@.la \
	$(top_builddir)/librhosydd/librhosydd-@RSD_API_VERSION@.la \
	$(DAEMON_TESTS_LIBS) \
	$(NULL)

@VALGRIND_CHECK_RULES@

test_programs = \
	aggregate-vehicle \
	$(NULL)

aggregate_vehicle_SOURCES = aggregate-vehicle.c

-include $(top_srcdir)/git.mk
